%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-concurrency-1.0-api
Version:          1.0.0
Release:          %mkrel 4
Group:            Development/Java
Summary:          Concurrency Utilities for JavaEE
License:          CDDL or GPLv2 with exceptions
Url:              https://www.jboss.org
Source0:          https://github.com/jboss/jboss-javaee-concurrency-api_spec/archive/jboss-concurrency-api_1.0_spec-%{namedversion}.tar.gz

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)

BuildArch:        noarch

%description
JSR-000236 Concurrency Utilities API Classe

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-javaee-concurrency-api_spec-jboss-concurrency-api_1.0_spec-%{namedversion}

# Unneeded plugin
%pom_remove_plugin :maven-source-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.0.0-4.mga9
+ Revision: 1827291
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.0.0-3.mga8
+ Revision: 1490766
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1262438
- Mageia 7 Mass Rebuild

* Thu May 11 2017 neoclust <neoclust> 1.0.0-1.mga6
+ Revision: 1100422
- imported package jboss-concurrency-1.0-api

